Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class DateAndDateTime2Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.DateAndDateTime2Choice

public class DateAndDateTime2Choice extends Object

Java class for DateAndDateTime2Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DateAndDateTime2Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODate"/>
             <element name="DtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODateTime"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected XMLGregorianCalendar`
`dt`
`protected XMLGregorianCalendar`
`dtTm`

## Constructor Summary

Constructors
Constructor
Description
`DateAndDateTime2Choice()`

## Method Summary

Modifier and Type
Method
Description
`XMLGregorianCalendar`
`getDt()`
Gets the value of the dt property.
`XMLGregorianCalendar`
`getDtTm()`
Gets the value of the dtTm property.
`void`
`setDt(XMLGregorianCalendar value)`
Sets the value of the dt property.
`void`
`setDtTm(XMLGregorianCalendar value)`
Sets the value of the dtTm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dt

protected XMLGregorianCalendar dt

### dtTm

protected XMLGregorianCalendar dtTm

## Constructor Details

### DateAndDateTime2Choice

public DateAndDateTime2Choice()

## Method Details

### getDt

public XMLGregorianCalendar getDt()
Gets the value of the dt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDt

public void setDt(XMLGregorianCalendar value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getDtTm

public XMLGregorianCalendar getDtTm()
Gets the value of the dtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setDtTm

public void setDtTm(XMLGregorianCalendar value)
Sets the value of the dtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`